org.eclipse.wst.jsdt.chromium

## Interface JsDeclarativeVariable.SetValueCallback

Enclosing interface:
  JsDeclarativeVariable

    public static interface JsDeclarativeVariable.SetValueCallback

A callback to use while setting a variable value.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `failure(java.lang.Exception cause)` Variable hasn't been updated for unknown reason.
`void` `success()` Variable is successfully updated.

### Method Detail

#### success

    void success()

Variable is successfully updated. New value is available in `JsVariable.getValue()`.

#### failure

    void failure(java.lang.Exception cause)

Variable hasn't been updated for unknown reason.